commit:     2dcd31f9e1b275bd6f8c126ee11f58da07a81ad5
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  2 17:23:03 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sun Aug  2 17:23:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2dcd31f9

media-sound/lame: Revbump to add a pkgconfig file

Bug: https://bugs.gentoo.org/735168
Package-Manager: Portage-3.0.1, Repoman-2.3.23
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 media-sound/lame/files/lame-3.100-pkgconfig.patch | 45 +++++++++++++
 media-sound/lame/lame-3.100-r3.ebuild             | 82 +++++++++++++++++++++++
 2 files changed, 127 insertions(+)

diff --git a/media-sound/lame/files/lame-3.100-pkgconfig.patch 
b/media-sound/lame/files/lame-3.100-pkgconfig.patch
new file mode 100644
index 00000000000..9cb52153e85
--- /dev/null
+++ b/media-sound/lame/files/lame-3.100-pkgconfig.patch
@@ -0,0 +1,45 @@
+Based on a Debian patch:
+https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=829327
+
+--- lame-3.100/configure.in
++++ lame-3.100/configure.in
+@@ -1240,6 +1240,7 @@
+ 
+ AC_CONFIG_FILES([Makefile \
+                libmp3lame/Makefile \
++               libmp3lame/lame.pc \
+                libmp3lame/i386/Makefile \
+                libmp3lame/vector/Makefile \
+                frontend/Makefile \
+--- lame-3.100/libmp3lame/Makefile.am
++++ lame-3.100/libmp3lame/Makefile.am
+@@ -31,6 +31,7 @@
+ 
+ EXTRA_DIST = \
+       lame.rc \
++      lame.pc.in \
+       vbrquantize.h \
+       logoe.ico
+ 
+@@ -100,3 +101,8 @@
+ #$(OBJECTS): libtool
+ #libtool: $(LIBTOOL_DEPS)
+ #     $(SHELL) $(top_builddir)/config.status --recheck
++
++pkgconfigdir = $(libdir)/pkgconfig
++pkgconfig_DATA = lame.pc
++
++DISTCLEANFILES = $(pkgconfig_DATA)
+--- lame-3.100/libmp3lame/lame.pc.in
++++ lame-3.100/libmp3lame/lame.pc.in
+@@ -0,0 +1,10 @@
++prefix=@prefix@
++exec_prefix=@exec_prefix@
++libdir=@libdir@
++includedir=@includedir@
++
++Name: @PACKAGE_NAME@
++Description: MP3 encoding library
++Version: @PACKAGE_VERSION@
++Libs: -L${libdir} -lmp3lame
++Cflags: -I${includedir}/lame

diff --git a/media-sound/lame/lame-3.100-r3.ebuild 
b/media-sound/lame/lame-3.100-r3.ebuild
new file mode 100644
index 00000000000..c9d3e9ec876
--- /dev/null
+++ b/media-sound/lame/lame-3.100-r3.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools multilib-minimal
+
+DESCRIPTION="LAME Ain't an MP3 Encoder"
+HOMEPAGE="http://lame.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris 
~x86-solaris"
+IUSE="debug cpu_flags_x86_mmx +frontend mp3rtp sndfile static-libs"
+
+# These deps are without MULTILIB_USEDEP and are correct since we only build
+# libmp3lame for multilib and these deps apply to the lame frontend executable.
+RDEPEND="
+       frontend? (
+               >=sys-libs/ncurses-5.7-r7:0=
+               sndfile? ( >=media-libs/libsndfile-1.0.2 )
+       )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       sys-devel/gettext
+       virtual/pkgconfig
+       cpu_flags_x86_mmx? ( dev-lang/nasm )
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.96-ccc.patch
+       "${FILESDIR}"/${PN}-3.98-gtk-path.patch
+       "${FILESDIR}"/${PN}-3.99.5-tinfo.patch
+       "${FILESDIR}"/${PN}-3.99.5-msse.patch
+       "${FILESDIR}"/${PN}-3.100-symbols.patch #662752
+       "${FILESDIR}"/${PN}-3.100-pkgconfig.patch #735168
+)
+
+src_prepare() {
+       default
+
+       mkdir libmp3lame/i386/.libs || die #workaround parallel build with nasm
+
+       sed -i -e '/define sp/s/+/ + /g' libmp3lame/i386/nasm.h || die
+
+       use cpu_flags_x86_mmx || sed -i -e '/AC_PATH_PROG/s:nasm:dIsAbLe&:' 
configure.in #361879
+
+       mv configure.{in,ac} || die
+       AT_M4DIR=. eautoreconf
+}
+
+multilib_src_configure() {
+       # Only build the frontend for the default ABI.
+       local myconf=(
+               --disable-mp3x
+               --enable-dynamic-frontends
+               $(multilib_native_use_enable frontend)
+               $(multilib_native_use_enable mp3rtp)
+               $(multilib_native_usex sndfile '--with-fileio=sndfile' '')
+               $(use_enable debug debug norm)
+               $(use_enable static-libs static)
+               $(usex cpu_flags_x86_mmx '--enable-nasm' '') #361879
+       )
+
+       ECONF_SOURCE="${S}" econf "${myconf[@]}"
+}
+
+multilib_src_install() {
+       emake \
+               DESTDIR="${D}" \
+               pkghtmldir="${EPREFIX}/usr/share/doc/${PF}/html" \
+               install
+}
+
+multilib_src_install_all() {
+       dodoc API ChangeLog HACKING README STYLEGUIDE TODO USAGE
+       docinto html
+       dodoc misc/lameGUI.html Dll/LameDLLInterface.htm
+
+       find "${ED}" -name '*.la' -type f -delete || die
+}

Reply via email to